matrix:
  bazel: [7.x, 8.x, rolling]
  platform:
    - rockylinux8
    - debian10
    - debian11
    - macos
    - macos_arm64
    - ubuntu2004
    - ubuntu2004_arm64
    - ubuntu2204
    - ubuntu2204_arm64
    - windows

tasks:
  build_test:
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
      - '@glog//:glog'
    test_targets:
      - '@glog//bazel/example:main'
